> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/users/revokeDeviceAccess#auth).

Revokes access to all devices currently provisioned to the user. The user
will no longer be able to use the managed Play store on any of their
managed devices.

<br />


This call only works with EMM-managed accounts.

## Request

### HTTP request

```
DELETE https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/users/userId/deviceAccess
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `userId` | `string` | The ID of the user. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.